package ibspan.ecap.merchant.shopdecisions.dataaccess;

/**
 * A class representing a negotiation strategy.
 * @author  Micha Drozdowicz
 */
public class StrategyEntity
{
	private String globalId;
	private String description;
	
	/**
	 *  Creates a new instance of <code>StrategyEntity</code>.
	 *
	 * @param globalId the global id of the strategy.
	 * @param description the description of the strategy.
	 */
	public StrategyEntity(String globalId, String description)
	{
		this.globalId = globalId;
		this.description = description;
	}

	/**
	 * Gets the description of the strategy.
	 *
	 * @return the description of the strategy.
	 */
	public String getDescription()
	{
		return description;
	}

	/**
	 * Gets the global id of the strategy.
	 *
	 * @return the global id of the strategy.
	 */
	public String getGlobalId()
	{
		return globalId;
	}
	
	
}
