package ibspan.ecap.merchant.shopdecisions.dataaccess;

import java.util.Date;

/**
 * A class representing a time dimension entity.
 * @author  Micha Drozdowicz
 */
public class TimeEntity
{
	private Date fullTime;
	private int hour;
	private String amPmIndicator;
	
	/**
	 *  Creates a new instance of <code>TimeEntity</code>.
	 *
	 * @param fullTime the full timestamp.
	 * @param hour the hour part of the time (1-24)
	 * @param amPmIndicator the AM/PM indicator. Can take the value of 'AM' or 'PM'.
	 */
	public TimeEntity(Date fullTime, int hour, String amPmIndicator)
	{
		this.fullTime = fullTime;
		this.hour = hour;
		this.amPmIndicator = amPmIndicator;
	}

	/**
	 * Gets the AM/PM indicator. Can take the value of 'AM' or 'PM'.
	 *
	 * @return the AM/PM indicator. Can take the value of 'AM' or 'PM'.
	 */
	public String getAmPmIndicator()
	{
		return amPmIndicator;
	}
	
	/**
	 * Gets the full timestamp.
	 *
	 * @return the full timestamp.
	 */
	public Date getFullTime()
	{
		return fullTime;
	}
	
	/**
	 * Gets the hour part of the time (0-23)
	 *
	 * @return the hour part of the time (0-23)
	 */
	public int getHour()
	{
		return hour;
	}
}
