package ibspan.ecap.merchant.shopdecisions.forecasting;

import java.util.Date;

/**
 * @deprecated  Module uses the  {@link ForecastTask}  instead :)  A class containing the information about a scheduled forecasting task.
 * @author  Micha Drozdowicz
 */
public class ForecastScheduleEntry implements Comparable<ForecastScheduleEntry>
{
	private String productGlobalId;

	private Date scheduledTime;

	private Date previousForecastEnd;

	/**
	 * Constructor.
	 *
	 * @param productId the id of the product to forecast
	 * @param scheduledTime the time at which the forecast task is scheduled to begin
	 * @param previousForecastEnd the date of the end of the previous product forecast 
	 */
	public ForecastScheduleEntry(String productId, Date scheduledTime,
			Date previousForecastEnd)
	{
		this.productGlobalId = productId;
		this.scheduledTime = scheduledTime;
		this.previousForecastEnd = previousForecastEnd;
	}

	/**
	 * Compares to another {@link ForecastScheduleEntry} basing on the schedule date.
	 */
	public int compareTo(ForecastScheduleEntry arg0)
	{
		return this.scheduledTime.compareTo(arg0.scheduledTime);
	}

	/**
	 * Gets the id of the product to forecast.
	 *
	 * @return the previousForecastEnd
	 */
	public Date getPreviousForecastEnd()
	{
		return previousForecastEnd;
	}

	/**
	 * Gets the date of the end of the previous product forecast.
	 *
	 * @return the productGlobalId
	 */
	public String getProductGlobalId()
	{
		return productGlobalId;
	}

	/**
	 * Gets the time at which the forecast task is scheduled to begin
	 *
	 * @return the scheduledTime
	 */
	public Date getScheduledTime()
	{
		return scheduledTime;
	}

	
}
