/**
 * 
 */
package ibspan.ecap.shared.ontology.negotiation;

import java.io.Serializable;
import java.util.Date;

/**
 * A class that contains information about a post-auction product reservation.
 *
 * @author Micha Drozdowicz
 *
 */
public class ReservationInfo implements Serializable
{	
	private String transactionId;		
	private Date expiryTime;
	
	public ReservationInfo(String transactionId, Date expiryTime) {
		super();
		this.transactionId = transactionId;
		this.expiryTime = expiryTime;
	}

	public ReservationInfo() {
		// TODO Auto-generated constructor stub
	}

	/**
	 * Gets the transaction id.
	 * 
	 * @return the transaction id
	 */
	public String getTransactionId()
	{
		return transactionId;
	}
	
	/**
	 * Sets the transaction id.
	 * 
	 * @param transactionId the new transaction id
	 */
	public void setTransactionId(String transactionId)
	{
		this.transactionId = transactionId;
	}
	
	/**
	 * Gets the reservation expiry time.
	 * 
	 * @return the reservation expiry time
	 */
	public Date getExpiryTime()
	{
		return expiryTime;
	}
	
	/**
	 * Sets the reservation expiry time.
	 * 
	 * @param expiryTime the new reservation expiry time
	 */
	public void setExpiryTime(Date expiryTime)
	{
		this.expiryTime = expiryTime;
	}
	
	@Override
	public String toString() {
		return String.format("ReservationInfo: {\n" +
				"\ttransactionId: %s\n" +
				"\texpiryTime: %s\n" +
				"}\n", 
				transactionId, expiryTime);
	}

}
