package ibspan.ecap.shared.util;

import java.util.Date;

public class TimeConverter
{
	private static TimeConverter instance = new TimeConverter();
	
	private double scale = 1;
	private long millisShift = 0;
	
	private TimeConverter(){}
	
	public static TimeConverter getInstance()
	{
		return instance;
	}
	
	public Date getDate()
	{
		Date now = new Date();
		long millisConv = convertFromReal(now.getTime());
		return new Date(millisConv);
	}
	
	public long convertSpanFromReal(long realSpan)
	{
		return (long) (realSpan / scale);
	}
	
	public long convertSpanToReal(long span)
	{
		return (long) (span * scale);
	}
	
	public void restart(Date startAt, double compressionRate)
	{
		scale = compressionRate;
		
		long startAtTime = startAt.getTime();
		long nowTime = new Date().getTime();
		millisShift = (long) (startAtTime - nowTime*scale);
	}

	private long convertFromReal(long time)
	{
		return (long) (time*scale + millisShift); 
	}	
}
