package ibspan.ecap.tests.shopdecisions;

import jade.util.Logger;

import java.io.IOException;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.concurrent.ExecutionException;
import java.util.logging.FileHandler;
import java.util.logging.Handler;
import java.util.logging.Level;

import ibspan.ecap.merchant.shopdecisions.forecasting.ForecastDescription;
import ibspan.ecap.merchant.shopdecisions.forecasting.ForecastingModule;
import ibspan.ecap.shared.util.TimeConverter;

public class ForecastingPerformanceTest{

	public ForecastingPerformanceTest()
	{
		
	}
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Logger logger = Logger.getMyLogger(".");
		try {
			Handler h = new FileHandler("forecasting_log.log");
			h.setLevel(Level.ALL);
			logger.addHandler(h);
		} catch (SecurityException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		} catch (IOException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
		
		logger.setLevel(Level.ALL);
		
		
		ForecastingModule mod = ForecastingModule.getInstance();
		String productId = "Scenario 2 product";
		TimeConverter tc = TimeConverter.getInstance();
		Calendar cal = new GregorianCalendar(2006,0,1,0,0,0);
		tc.restart(cal.getTime(), 1);
		//int timeCompression = 11520;
		//mod.setRecordsForecasts(false);
		//mod.startForecasting(productId);
		while(cal.before(new GregorianCalendar(2009,5,15,0,0,0)))
		{
			System.out.println("Starting preparation. Date: "+cal.getTime()+";Exact time: "+new Date());
			mod.prepareForecast(productId);
			ForecastDescription desc = null;
			try {
				System.out.println("Waiting for result. Date: "+cal.getTime()+";Exact time: "+new Date());
				desc = mod.takeResult();
				System.out.println("Got result. Date: "+cal.getTime()+";Exact time: "+new Date());
				System.out.println(desc);
				
				cal.add(Calendar.SECOND, desc.getForecastPeriod());
				tc.restart(cal.getTime(), 1);
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (ExecutionException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			
		}
	}

}
